
const St = imports.gi.St;
const Main = imports.ui.main;
const Lang = imports.lang;
const Shell = imports.gi.Shell;
const PopupMenu = imports.ui.popupMenu;

let item, userMenu;

function _onEmpathyActivate() {
	Main.overview.hide();
	let app = Shell.AppSystem.get_default().lookup_app('empathy.desktop');
	app.activate();
}

function _onGwibberActivate() {
	Main.overview.hide();
	let app = Shell.AppSystem.get_default().lookup_app('gwibber.desktop');
	app.activate();
}

function init() {
	userMenu = Main.panel._statusArea.userMenu.menu;
}

function enable() {
	item1 = new PopupMenu.PopupMenuItem(_("Chat"));
	item1.connect('activate', Lang.bind(item1, _onEmpathyActivate));
	userMenu.addMenuItem(item1, 2);
	item2 = new PopupMenu.PopupMenuItem(_("Broadcast"));
	item2.connect('activate', Lang.bind(item2, _onGwibberActivate));
	userMenu.addMenuItem(item2, 3);
} 

function disable() {
	if (item1) {
	   item1.destroy();
	   item2.destroy();
	}
}
